#!/bin/bash

# convert to VTT

main_folder=$( dirname "${BASH_SOURCE[0]}" )

file=$1
dest=$2

tmp_folder="/tmp"
echo "Extracting subs from $file in $dest"

subs_data=`mkvmerge -i "$file" | grep subtitles -m 1 | cut -c 10-`

if [ "$subs_data" == "" ] ; then
  echo "No subtitles found"
  exit 1
else

type=`echo "$subs_data" | grep -e 'TEXT/[A-Z]*' -o | cut -c 6-`
id=`echo "$subs_data" | grep -e '[0-9]*' -o | head -n 1`

echo "Track $id has $type subtiltes. Extracting..."
  
# extract subs
tmp_file="$tmp_folder/subtitles.$type"
mkvextract tracks "$file" $id:$tmp_file

# convert ASS -> SRT
if [ "$type" == "ASS"  ] ; then
  
  # convert to SRT
  new_tmp_file="$tmp_folder/subtitles.SRT"
  
  "$main_folder/ss_conv.pl" "$tmp_file" "$new_tmp_file"
  
  tmp_file=$new_tmp_file
fi

# convert SRT -> VTT
cp "$tmp_file" "$dest"

sed -i 1i"WEBVTT FILE\n\n" "$dest"

sed -i -e 's/\([:0-9]*\),\([0-9]*\) --> \([:0-9]*\),\([0-9]*\)/\1.\2 --> \3.\4/g' -e 's/\\N/\n/g' "$dest"

echo "Subtitles extraced successfully"

fi
