#!/bin/bash

# serve the given folder on the WEB/LAN

folder=$1
port=$2
int=$3 # eth0, wlan0, null

# check folder
if [ ! -d "$folder" ]; then
  # suppose the folder is ~/Public
  folder=~/Public
fi

# check port
if [ "$port" == "" ]; then
  port=8000
fi

# find public address
if [ "$int" != "null" ]; then
  public_ip=`curl whatismyip.akamai.com`
fi


# find private address on interface $INT ( either eth0 or wlan0 )
INT=eth0
local_ip=`ip addr show $INT | grep inet -m 1 | grep -e '[.0-9]*' -o | head -n 1`
if [ "$local_ip" == "" ]; then
  INT=wlan0
  local_ip=`ip addr show $INT | grep inet -m 1 | grep -e '[.0-9]*' -o | head -n 1`
fi

# python 3 TODO
#command="import http.server; handler = http.server.BaseHTTPRequestHandler; server_address = ('',$port); httpd = http.server.HTTPServer(server_address, handler); httpd.serve_forever()"

command="import SimpleHTTPServer;SimpleHTTPServer.test()"

echo "Sharing folder $folder on port $port"
if [ "$int" != "null" ]; then
  echo "Internet address: http://$public_ip:$port"
fi
echo "LAN address: http://$local_ip:$port"
echo "Lo address: http://127.0.0.1:$port"

cd "$folder"
python -m SimpleHTTPServer "$port" -c "$command"
