#!/bin/bash

# Stream the given file
# NOTE: I assume simple_server.py is already started

main_folder=$( dirname "${BASH_SOURCE[0]}" )

folder=$1
format=$2
force=$3

# input check
if [ ! -d "$folder" ] ; then
  echo "Folder $folder does not exists. Aborting."
  exit 1
fi

# remove the trailing /
folder=${folder%/}

if [ "$format" == "" ]; then
  format="ogv"
fi

if [ $format != "mp4" ] && [ $format != "ogv" ]; then
  echo "Format $format unknown. Aborting."
  exit 1
fi

IFS="
"
files=(`ls "$folder"`)
unset IFS
for f in "${files[@]}"; do
  file="$folder/$f"
  if [ ! -d "$file" ]; then
    echo "STREAMING: $file"
    "$main_folder/stream_file.sh" "$file" "$format" "$force"
  fi
done
